Get Tax For Tax Class
curl --request GET \
--url https://api.jtl-cloud.com/erp/tax/taxclass/{taxClassId}/{companyId}/{departureCountryISO}/{shipmentCountryISO} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/tax/taxclass/{taxClassId}/{companyId}/{departureCountryISO}/{shipmentCountryISO}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/tax/taxclass/{taxClassId}/{companyId}/{departureCountryISO}/{shipmentCountryISO}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Rate": 123,
"TaxClassId": 123,
"DepartureCountryISO": "<string>",
"ShipmentCountryISO": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Tax
Get Tax For Tax Class
deprecated
Returns the Taxrate for the given Item
GET
/
tax
/
taxclass
/
{taxClassId}
/
{companyId}
/
{departureCountryISO}
/
{shipmentCountryISO}
Get Tax For Tax Class
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Country ISO code of the source Country.
Country ISO code of the target Country.
The id of the TaxClass to return.
The id of the Company to return. Represents a key for identifying a firm within the application.
Query Parameters
The taxNumber of the Customer
The Country ISO Code of the Invoice
The State in the Country of the Invoice
The State in the target Country
Was this page helpful?